View Issue Details

IDProjectCategoryView StatusLast Update
0035735FPCCompilerpublic2019-07-18 07:16
ReporterImants GulbisAssigned ToSven Barth 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.2.0Product Build 
Target VersionFixed in Version3.3.1 
Summary0035735: It is not posible to create generic helper method in objfpc mode but only in delphi mode
DescriptionWhen I try to create generic method in helper class I got

Example:
  TObjectHelper = class helper for TObject
  public
    generic function Test<T>(): String;
  end;

"An interface, helper or Objective-C protocol or category cannot contain fields"

If I switch to delphi mode and delete generic all works.
Tagsgenerics
Fixed in Revision42328
FPCOldBugId
FPCTarget-
Attached Files

Activities

Imants Gulbis

2019-06-20 07:18

reporter  

notworking.7z (1,300 bytes)
working.7z (1,266 bytes)

Sven Barth

2019-07-05 16:12

manager   ~0117085

Please test and close if okay.

Imants Gulbis

2019-07-18 07:16

reporter   ~0117298

-

Issue History

Date Modified Username Field Change
2019-06-20 07:18 Imants Gulbis New Issue
2019-06-20 07:18 Imants Gulbis File Added: notworking.7z
2019-06-20 07:18 Imants Gulbis File Added: working.7z
2019-07-05 14:11 Sven Barth Tag Attached: generics
2019-07-05 15:31 Sven Barth Assigned To => Sven Barth
2019-07-05 15:31 Sven Barth Status new => assigned
2019-07-05 16:12 Sven Barth Status assigned => resolved
2019-07-05 16:12 Sven Barth Resolution open => fixed
2019-07-05 16:12 Sven Barth Fixed in Version => 3.3.1
2019-07-05 16:12 Sven Barth Fixed in Revision => 42328
2019-07-05 16:12 Sven Barth FPCTarget => -
2019-07-05 16:12 Sven Barth Note Added: 0117085
2019-07-18 07:16 Imants Gulbis Status resolved => closed
2019-07-18 07:16 Imants Gulbis Note Added: 0117298